Bug 245924 - devel/mage: Update to 1.9.0
Summary: devel/mage: Update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-26 12:21 UTC by gspu
Modified: 2020-05-18 20:28 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (seanc)


Attachments
Update to 1.9 (1.33 KB, patch)
2020-04-26 12:21 UTC, gspu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gspu 2020-04-26 12:21:27 UTC
Created attachment 213801 [details]
Update to 1.9

The Makefile says version 2.1 but at github there is just a version 1.9
https://github.com/magefile/mage/releases

So i had to work with PORTEPOCH i hope thats the right way.
Comment 1 daniel.engberg.lists 2020-04-26 19:22:01 UTC
Remove GH_TAGNAME,re-run make makesum and you should be all good as far as I can tell.
Comment 2 Rene Ladan freebsd_committer 2020-05-04 18:23:48 UTC
Maintainer reset.
Comment 3 commit-hook freebsd_committer 2020-05-17 17:41:51 UTC
A commit references this bug:

Author: rene
Date: Sun May 17 17:41:26 UTC 2020
New revision: 535561
URL: https://svnweb.freebsd.org/changeset/ports/535561

Log:
  devel/mage: downgrade(?) to version 1.9.0 which is the latest release on GitHub.

  PR:		245924
  Submitted by:	gspu
  MFH:		2020Q2

Changes:
  head/devel/mage/Makefile
  head/devel/mage/distinfo
Comment 4 Rene Ladan freebsd_committer 2020-05-17 17:42:04 UTC
@gspu : would you like to become the new maintainer of this port, since it currently has no maintainer?
Comment 5 gspu 2020-05-17 20:21:18 UTC
Hi,

Sure, would like to do that.
Comment 6 commit-hook freebsd_committer 2020-05-18 20:21:21 UTC
A commit references this bug:

Author: rene
Date: Mon May 18 20:20:59 UTC 2020
New revision: 535784
URL: https://svnweb.freebsd.org/changeset/ports/535784

Log:
  MFH: r535561 r535783

  devel/mage: downgrade(?) to version 1.9.0 which is the latest release on GitHub.

  PR:		245924
  Submitted by:	gspu

  devel/mage: over to new volunteer

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/devel/mage/Makefile
  branches/2020Q2/devel/mage/distinfo
Comment 7 Rene Ladan freebsd_committer 2020-05-18 20:28:35 UTC
(In reply to gspu from comment #5)
You are now the new maintainer :)